Bug 1090631 - Please set TT_NAME_ID_PREFERRED_FAMILY for Liberation fonts
Summary: Please set TT_NAME_ID_PREFERRED_FAMILY for Liberation fonts
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-23 19:40 UTC by Richard Hughes
Modified: 2020-04-06 10:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 11:46:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Hughes 2014-04-23 19:40:53 UTC
Description of problem:

At the moment the TT_NAME_ID_PREFERRED_FAMILY is not set on any of the Liberation fonts. As I understand it, TT_NAME_ID_PREFERRED_FAMILY is supposed to be the same for all files in the same high-level family, and this seems to be what most other fonts do in Linux. For the next release could you please set the PreferredFamily key to just "Liberation" in all 10 files. This allows component installers like gnome-software to group the fonts together rather than showing them as separate entries and should have no other effects.

Thanks,

Richard.

Comment 1 Jaroslav Reznik 2015-03-03 15:43:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 11:24:07 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Fedora End Of Life 2017-07-25 18:39:17 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 11:46:17 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Pravin Satpute 2018-02-22 09:10:42 UTC
Moving to rawhide, i am hoping someone will pickup this issues soon.

Comment 6 Jan Kurik 2018-08-14 11:09:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Ben Cotton 2019-10-31 20:43:14 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 vishalvvr 2019-11-01 02:39:49 UTC
Fixed in upstream, will be available in next release. 
Hence moving this bug to f30.

Comment 9 Nicolas Mailhot 2019-11-12 19:57:54 UTC
TT_NAME_ID_FONT_FAMILY (Name ID 16) is actually quite problematic, it was not defined strictly enough to be useful for apps.

The correct way to group fonts is to use Name ID 21, and fallback to Name ID 16 if it is not present. Though Name ID 21 may be absent either because 16 already has the value 21 would have, or because 16 is completely broken but not yet fixed via 21.

Distinguishing between those two cases requires setting bit 8 of the fsSelection correctly (and reading this bit app-side)
https://docs.microsoft.com/en-us/typography/opentype/spec/name

In any case keying "Liberation" is *definitely* broken from a OpenType WWS PoW, so using it in Liberation files *requires* setting Name ID 21 to fix it.

If fail to see the point of introducing known-broken naming at the 16 layer, just to get the benefit to fix it at the 21 layer. Just use WWS-conformant naming at 16 and 17 directly.

Comment 10 Nicolas Mailhot 2020-04-06 10:00:10 UTC
Anyway Fedora fonts packaging guidelines have been updated now, and they REQUIRE fedora font packages to follow the OpenType font model, not invent alternative family definitions.

https://docs.fedoraproject.org/en-US/packaging-guidelines/FontsPolicy/#_packaging_unit_an_ideal_font_family

Liberation Sans and Liberation Serif are not the same font family, they differ in more than in width/weight/slant/optical sizing (you could even add OpenType feature in there if you wanted the whole OpenType model as it exists now in OpenType specs).

There is no Sans/Serif variation axis in OpenType, and the existing axis already include quite experimental stuff like optical sizing.


Note You need to log in before you can comment on or make changes to this bug.